## klepto 0.2.6

=== docs/requirements.txt ===
# Packages required to build docs
# dependencies pinned as:
# https://github.com/readthedocs/readthedocs.org/blob/d3606da9907bb4cd933abcf71c7bab9eb20435cd/requirements/docs.txt

alabaster==0.7.16
anyio==4.4.0
babel==2.15.0
certifi==2024.7.4
charset-normalizer==3.3.2
click==8.1.7
colorama==0.4.6
docutils==0.20.1
exceptiongroup==1.2.1
h11==0.14.0
idna==3.7
imagesize==1.4.1
jinja2==3.1.4
markdown-it-py==3.0.0
markupsafe==2.1.5
mdit-py-plugins==0.4.1
mdurl==0.1.2
myst-parser==3.0.1
packaging==24.0
pygments==2.18.0
pyyaml==6.0.1
readthedocs-sphinx-search==0.3.2
requests==2.32.3
six==1.16.0
sniffio==1.3.1
snowballstemmer==2.2.0
sphinx==7.3.7
sphinx-autobuild==2024.4.16
sphinx-copybutton==0.5.2
sphinx-design==0.6.0
sphinx-hoverxref==1.4.0
sphinx-intl==2.2.0
sphinx-multiproject==1.0.0rc1
sphinx-notfound-page==1.0.2
sphinx-prompt==1.8.0
sphinx-rtd-theme==2.0.0rc2
sphinx-tabs==3.4.5
sphinxcontrib-applehelp==1.0.8
sphinxcontrib-devhelp==1.0.6
sphinxcontrib-htmlhelp==2.0.5
sphinxcontrib-httpdomain==1.8.1
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.7
sphinxcontrib-serializinghtml==1.1.10
starlette==0.37.2
tomli==2.0.1
typing-extensions==4.12.1
urllib3==2.2.2
uvicorn==0.30.0
watchfiles==0.22.0
websockets==12.0

## klepto 0.2.4

=== debian/changelog ===
klepto (0.2.4-1) unstable; urgency=medium

  * Initial upload (Closes: #1042444)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:25:14 +0100

=== debian/control ===
Source: klepto
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill (>= 0.3.7),
               python3-h5py <!nocheck>,
               python3-numpy <!nocheck>,
               python3-pox (>= 0.3.3),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sqlalchemy <!nocheck>
Standards-Version: 4.6.2
Homepage: https://github.com/uqfoundation/klepto
Vcs-Git: https://salsa.debian.org/python-team/packages/klepto.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/klepto
Rules-Requires-Root: no
Description: Persistent caching to memory, disk or database
 klepto extends Python's lru_cache to utilise different keymaps and
 alternate caching algorithms.  This package also has archiving
 capabilities for longer-term storage.  It uses a simple
 dictionary-style interface for all caches and archives, and all
 caches can be applied to any Python function as a decorator.
 .
 klepto is intended to be used for distributed and parallel computing,
 where the keymaps serialize the stored objects, and the caches and
 archives are intended to be read/write accessible from different
 threads and processes.
 .
 klepto is part of pathos, a Python framework for heterogeneous computing.

Package: python3-klepto
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-cloudpickle,
          python3-h5py,
          python3-jsonpickle,
          python3-pandas,
          python3-sqlalchemy
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-klepto-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-klepto
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the klepto documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?klepto-@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/uqfoundation/klepto/tags \
  (?:.*?/)?klepto-@ANY_VERSION@@ARCHIVE_EXT@

## klepto 0.2.5

=== debian/changelog ===
klepto (0.2.5-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Mark python-klepto-doc as M-A:foreign.
  * Add patch from Chris Lamb to make the build reproducible.  Closes: #1064892

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 31 Jul 2024 17:38:13 +0900

klepto (0.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Jan 2024 19:03:29 -0500

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.7),
+               python3-dill (>= 0.3.8),
                python3-h5py <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-pox (>= 0.3.3),
+               python3-pox (>= 0.3.4),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sqlalchemy <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/uqfoundation/klepto
 Vcs-Git: https://salsa.debian.org/python-team/packages/klepto.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/klepto
@@ -50,6 +50,7 @@
 
 Package: python-klepto-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

## klepto 0.2.6

=== debian/changelog ===
klepto (0.2.6-2) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090103).

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Dec 2024 23:04:56 +0000

klepto (0.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump versioned build-dep.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 09:54:49 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8),
+               python3-dill (>= 0.3.9),
                python3-h5py <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-pox (>= 0.3.4),
+               python3-pox (>= 0.3.5),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/uqfoundation/klepto/tags?per_page=100 \
 https://api.github.com/repos/uqfoundation/klepto/tarball/refs/tags/@ANY_VERSION@

## klepto 0.2.7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = klepto
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)

=== debian/changelog ===
klepto (0.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 Aug 2025 17:17:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.9),
+               python3-dill (>= 0.4.0),
                python3-h5py <!nocheck>,
                python3-numpy <!nocheck>,
-               python3-pox (>= 0.3.5),
+               python3-pox (>= 0.3.6),
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-notfound-page <!nodoc>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=klepto

export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m klepto.tests

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs SPHINXBUILD=sphinx-build html

execute_after_dh_auto_clean:
	$(MAKE) -C docs SPHINXBUILD=sphinx-build clean

override_dh_installdocs:
	dh_installdocs -ppython-klepto-doc --doc-main-package=python3-klepto
	dh_installdocs --remaining-packages
	mv debian/python-klepto-doc/usr/share/doc/python3-klepto/build debian/python-klepto-doc/usr/share/doc/python3-klepto/html
endif

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-h5py,
         python3-klepto,
         python3-mysqldb,
         python3-numpy,
         python3-sqlalchemy
